# Class EventID

java.lang.Object
com.sun.java.accessibility.util.EventID

public class EventID extends Object
EventID contains integer constants that map to event support in AWT and Swing. They are used by primarily by AWTEventMonitor, AWTEventsListener, SwingEventMonitor, and SwingEventListener, but can be freely used by any other class.

See Also:
  - `AWTEventMonitor`
  - `SwingEventMonitor`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ACTION`
  Maps to AWT Action support (i.e., ActionListener and ActionEvent)
  `static final int`
  `ADJUSTMENT`
  Maps to AWT Adjustment support (i.e., AdjustmentListener and AdjustmentEvent)
  `static final int`
  `ANCESTOR`
  Maps to Swing Ancestor support (i.e., AncestorListener and AncestorEvent)
  `static final int`
  `CARET`
  Maps to Swing Text Caret support (i.e., CaretListener and CaretEvent)
  `static final int`
  `CELLEDITOR`
  Maps to Swing CellEditor support (i.e., CellEditorListener and CellEditorEvent)
  `static final int`
  `CHANGE`
  Maps to Swing Change support (i.e., ChangeListener and ChangeEvent)
  `static final int`
  `COLUMNMODEL`
  Maps to Swing TableColumnModel support (i.e., TableColumnModelListener and TableColumnModelEvent)
  `static final int`
  `COMPONENT`
  Maps to AWT Component support (i.e., ComponentListener and ComponentEvent)
  `static final int`
  `CONTAINER`
  Maps to AWT Container support (i.e., ContainerListener and ContainerEvent)
  `static final int`
  `DOCUMENT`
  Maps to Swing Document support (i.e., DocumentListener and DocumentEvent)
  `static final int`
  `FOCUS`
  Maps to AWT Focus support (i.e., FocusListener and FocusEvent)
  `static final int`
  `INTERNALFRAME`
  Maps to Swing InternalFrame support (i.e., InternalFrameListener)
  `static final int`
  `ITEM`
  Maps to AWT Item support (i.e., ItemListener and ItemEvent)
  `static final int`
  `KEY`
  Maps to AWT Key support (i.e., KeyListener and KeyEvent)
  `static final int`
  `LISTDATA`
  Maps to Swing ListData support (i.e., ListDataListener and ListDataEvent)
  `static final int`
  `LISTSELECTION`
  Maps to Swing ListSelection support (i.e., ListSelectionListener and ListSelectionEvent)
  `static final int`
  `MENU`
  Maps to Swing Menu support (i.e., MenuListener and MenuEvent)
  `static final int`
  `MOTION`
  Maps to AWT MouseMotion support (i.e., MouseMotionListener and MouseMotionEvent)
  `static final int`
  `MOUSE`
  Maps to AWT Mouse support (i.e., MouseListener and MouseEvent)
  `static final int`
  `POPUPMENU`
  Maps to Swing PopupMenu support (i.e., PopupMenuListener and PopupMenuEvent)
  `static final int`
  `PROPERTYCHANGE`
  Maps to Beans PropertyChange support (i.e., PropertyChangeListener and PropertyChangeEvent)
  `static final int`
  `TABLEMODEL`
  Maps to Swing TableModel support (i.e., TableModelListener and TableModelEvent)
  `static final int`
  `TEXT`
  Maps to AWT Text support (i.e., TextListener and TextEvent)
  `static final int`
  `TREEEXPANSION`
  Maps to Swing TreeExpansion support (i.e., TreeExpansionListener and TreeExpansionEvent)
  `static final int`
  `TREEMODEL`
  Maps to Swing TreeModel support (i.e., TreeModelListener and TreeModelEvent)
  `static final int`
  `TREESELECTION`
  Maps to Swing TreeSelection support (i.e., TreeSelectionListener and TreeSelectionEvent)
  `static final int`
  `UNDOABLEEDIT`
  Maps to Swing UndoableEdit support (i.e., UndoableEditListener and UndoableEditEvent)
  `static final int`
  `VETOABLECHANGE`
  Maps to Beans VetoableChange support (i.e., VetoableChangeListener and VetoableChangeEvent)
  `static final int`
  `WINDOW`
  Maps to AWT Window support (i.e., WindowListener and WindowEvent)

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventID()`
  Constructs an `EventID`.

- ## Method Summary

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### ACTION

    public static final int ACTION
    Maps to AWT Action support (i.e., ActionListener and ActionEvent)
    See Also:
      - Constant Field Values

  - ### ADJUSTMENT

    public static final int ADJUSTMENT
    Maps to AWT Adjustment support (i.e., AdjustmentListener and AdjustmentEvent)
    See Also:
      - Constant Field Values

  - ### COMPONENT

    public static final int COMPONENT
    Maps to AWT Component support (i.e., ComponentListener and ComponentEvent)
    See Also:
      - Constant Field Values

  - ### CONTAINER

    public static final int CONTAINER
    Maps to AWT Container support (i.e., ContainerListener and ContainerEvent)
    See Also:
      - Constant Field Values

  - ### FOCUS

    public static final int FOCUS
    Maps to AWT Focus support (i.e., FocusListener and FocusEvent)
    See Also:
      - Constant Field Values

  - ### ITEM

    public static final int ITEM
    Maps to AWT Item support (i.e., ItemListener and ItemEvent)
    See Also:
      - Constant Field Values

  - ### KEY

    public static final int KEY
    Maps to AWT Key support (i.e., KeyListener and KeyEvent)
    See Also:
      - Constant Field Values

  - ### MOUSE

    public static final int MOUSE
    Maps to AWT Mouse support (i.e., MouseListener and MouseEvent)
    See Also:
      - Constant Field Values

  - ### MOTION

    public static final int MOTION
    Maps to AWT MouseMotion support (i.e., MouseMotionListener and MouseMotionEvent)
    See Also:
      - Constant Field Values

  - ### TEXT

    public static final int TEXT
    Maps to AWT Text support (i.e., TextListener and TextEvent)
    See Also:
      - Constant Field Values

  - ### WINDOW

    public static final int WINDOW
    Maps to AWT Window support (i.e., WindowListener and WindowEvent)
    See Also:
      - Constant Field Values

  - ### ANCESTOR

    public static final int ANCESTOR
    Maps to Swing Ancestor support (i.e., AncestorListener and AncestorEvent)
    See Also:
      - Constant Field Values

  - ### CARET

    public static final int CARET
    Maps to Swing Text Caret support (i.e., CaretListener and CaretEvent)
    See Also:
      - Constant Field Values

  - ### CELLEDITOR

    public static final int CELLEDITOR
    Maps to Swing CellEditor support (i.e., CellEditorListener and CellEditorEvent)
    See Also:
      - Constant Field Values

  - ### CHANGE

    public static final int CHANGE
    Maps to Swing Change support (i.e., ChangeListener and ChangeEvent)
    See Also:
      - Constant Field Values

  - ### COLUMNMODEL

    public static final int COLUMNMODEL
    Maps to Swing TableColumnModel support (i.e., TableColumnModelListener and TableColumnModelEvent)
    See Also:
      - Constant Field Values

  - ### DOCUMENT

    public static final int DOCUMENT
    Maps to Swing Document support (i.e., DocumentListener and DocumentEvent)
    See Also:
      - Constant Field Values

  - ### LISTDATA

    public static final int LISTDATA
    Maps to Swing ListData support (i.e., ListDataListener and ListDataEvent)
    See Also:
      - Constant Field Values

  - ### LISTSELECTION

    public static final int LISTSELECTION
    Maps to Swing ListSelection support (i.e., ListSelectionListener and ListSelectionEvent)
    See Also:
      - Constant Field Values

  - ### MENU

    public static final int MENU
    Maps to Swing Menu support (i.e., MenuListener and MenuEvent)
    See Also:
      - Constant Field Values

  - ### POPUPMENU

    public static final int POPUPMENU
    Maps to Swing PopupMenu support (i.e., PopupMenuListener and PopupMenuEvent)
    See Also:
      - Constant Field Values

  - ### TABLEMODEL

    public static final int TABLEMODEL
    Maps to Swing TableModel support (i.e., TableModelListener and TableModelEvent)
    See Also:
      - Constant Field Values

  - ### TREEEXPANSION

    public static final int TREEEXPANSION
    Maps to Swing TreeExpansion support (i.e., TreeExpansionListener and TreeExpansionEvent)
    See Also:
      - Constant Field Values

  - ### TREEMODEL

    public static final int TREEMODEL
    Maps to Swing TreeModel support (i.e., TreeModelListener and TreeModelEvent)
    See Also:
      - Constant Field Values

  - ### TREESELECTION

    public static final int TREESELECTION
    Maps to Swing TreeSelection support (i.e., TreeSelectionListener and TreeSelectionEvent)
    See Also:
      - Constant Field Values

  - ### UNDOABLEEDIT

    public static final int UNDOABLEEDIT
    Maps to Swing UndoableEdit support (i.e., UndoableEditListener and UndoableEditEvent)
    See Also:
      - Constant Field Values

  - ### PROPERTYCHANGE

    public static final int PROPERTYCHANGE
    Maps to Beans PropertyChange support (i.e., PropertyChangeListener and PropertyChangeEvent)
    See Also:
      - Constant Field Values

  - ### VETOABLECHANGE

    public static final int VETOABLECHANGE
    Maps to Beans VetoableChange support (i.e., VetoableChangeListener and VetoableChangeEvent)
    See Also:
      - Constant Field Values

  - ### INTERNALFRAME

    public static final int INTERNALFRAME
    Maps to Swing InternalFrame support (i.e., InternalFrameListener)
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### EventID

    public EventID()
    Constructs an `EventID`.